## lm-sensors-3 3.2.0

=== debian/changelog ===
lm-sensors-3 (1:3.2.0-1ubuntu1) natty; urgency=low

  * Add 100_recommend_using_upstart.patch: Recommend use of upstart rather
    than init-script. (Thanks Michael Basse)
    (LP: #741338)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 04 Apr 2011 11:39:13 -0700

lm-sensors-3 (1:3.2.0-1) unstable; urgency=low

  * New upstream version.
  * Suggests fancontrol instead of recommending it in lm-sensors (closes:
    bug#567185).
  * Suggests lm-sensors instead of recommending it in libsensors4 (closes:
    bug#602914).
  * Suggests rrdtool in sensord (closes: bug#588132).
  * Detect SMSC SCH5524-NS chip (closes: bug#588355).
  * Bumped Standards-version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 14:46:28 +0100

lm-sensors-3 (1:3.1.2-6) unstable; urgency=low

  * Fix return value in fancontrol --check (closes: bug#583216). 

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 19:17:40 +0200

lm-sensors-3 (1:3.1.2-5) unstable; urgency=low

  * Use the --check option in both the initscript and the fancontrol
    script (closes: bug#582979).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 26 May 2010 11:15:17 +0200

lm-sensors-3 (1:3.1.2-4) unstable; urgency=low

  * Check /etc/fancontrol before starting the daemon (closes:
    bug#582979).
  * Add a README.Debian in lm-sensors package. (closes: bug#576932).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 11:33:23 +0200

lm-sensors-3 (1:3.1.2-3) unstable; urgency=medium

  * Add 09-sensord-multiple-chips.diff from upstream to fix multiple
    chip support in sensord (closes: bug#581036).
  * Fix error message in lm-sensors init script (closes: bug#581350).
  * Remove /etc/rc1.d/K20sensord on upgrade (closes: bug#573898). 
  * Fix typos in pwmconfig (closes: bug#570344).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 24 May 2010 23:11:32 +0200

lm-sensors-3 (1:3.1.2-2) unstable; urgency=low

  * Detect old configuration files in init script (closes: bug#568627).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 07 Feb 2010 21:12:44 +0100

lm-sensors-3 (1:3.1.2-1) unstable; urgency=low

  * New upstream version. 
  * Bumped Standards-version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Feb 2010 20:15:07 +0100

lm-sensors-3 (1:3.1.1-6) unstable; urgency=low

  * Move fancontrol.txt to the fancontrol package (closes: bug#567181). 
  * Remove old init scripts if they are not modified an upgrading from
    version (<< 1:3.1.1-5). (closes: bug#567183).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 22:11:25 +0100

lm-sensors-3 (1:3.1.1-5) unstable; urgency=low

  * Split-out fancontrol in a separate package (closes: bug#540677).
  * Restart fancontrol in postinst instead of starting it (closes: 
    bug#552197).
  * Don't stop fancontrol in runlevel 0 1 6 (closes: bug#563835).
  * Don't stop sensord in runlevel 1.
  * Ignore failures to set sensors at boot time (closes: bug#566184,
    bug#556361).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 27 Jan 2010 00:00:33 +0100

lm-sensors-3 (1:3.1.1-4) unstable; urgency=low

  * Bumped Standards-version to 3.8.3 (no changes).
  * Drop libsensors4 postinst script and the dependency on makedev | 
    udev. This part has been moved to i2c-tools.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 14 Oct 2009 00:20:17 +0200

lm-sensors-3 (1:3.1.1-3) unstable; urgency=low

  * *.init: depends on $remote_fs instead of $local_fs (closes: 
    bug#541363). 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 20:18:11 +0200

lm-sensors-3 (1:3.1.1-2) unstable; urgency=low

  * Stop managing /etc/sensors3.conf using ucf, as user changes should now
    go in /etc/sensors.d/.
  * Mention /etc/sensors.d in libsensors4.NEWS.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 01 Jul 2009 21:46:24 +0000

lm-sensors-3 (1:3.1.1-1) unstable; urgency=low

  * New upstream version. 
    - LDFLAGS is taken into account by the build system (closes: 
      bug#513171).
  * debian/sensord.init: add a 'sleep 1' between stop and start for
    the restart action (closes: #528276).
  * debian/*.init: add status actions (closes: #525899).
  * Update sensord.README.Debian to mention /etc/sensors3.conf instead
    of /etc/sensors.conf (closes: #520056).
  * Bumped Standards-version to 3.8.2.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 28 Jun 2009 21:59:56 +0200

lm-sensors-3 (1:3.1.0-2) unstable; urgency=low

  * lm-sensors.preinst: make sure that the directory exists before
    trying to remove them (closes: bug#518976).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 09 Mar 2009 19:48:36 +0100

lm-sensors-3 (1:3.1.0-1) unstable; urgency=low

  * New upstream version.
  * lm-sensors.fancontrol.init: remove pidfile on stop action (closes:
    bug#504304).
  * lm-sensors.fancontrol.init: decrease the stop/start time to 3
    seconds (closes: bug#504379).
  * libsensors4.README.Debian: update.
  * libsensors4.symbols: new file. 
  * lm-sensors.preinst: remove /etc/modprobe.d/i2c on install/upgrade
    (closes: bug#518111).
  * patches/06-sensors-detect-debian.patch: update.
  * patches/07-sensors-detect-fixes.patch: remove (merged upstream).
  * patches/07-sensors-detect-modprobe.conf.patch: new patch to create
    files with .conf extension in /etc/modprobe.d/.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 05 Mar 2009 01:30:18 +0100

lm-sensors-3 (1:3.0.2-2) unstable; urgency=low

  * Remove stop links from rc0 and rc6 (closes: bug#495547).
  * Add a NEWS.Debian file from libsensors4 explaining how to
    generate /etc/sensors3.conf from /etc/sensors.conf (closes:
    bug#496703).
  * Bumped Standards-version to 3.8.0
    - Add debian/README.source

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 04 Sep 2008 12:40:12 +0200

lm-sensors-3 (1:3.0.2-1) unstable; urgency=low

  * New upstream version.
  * Use quilt for patch management.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 17:57:23 +0200


